import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const gascoAccordionContentCss = "gasco-card-content{display:block;position:relative}.card-content{padding-left:16px;padding-right:16px;padding-top:13px;padding-bottom:13px;font-size:16px;line-height:24px;font-weight:400}@supports (margin-inline-start: 0) or (-webkit-margin-start: 0){.card-content{padding-left:unset;padding-right:unset;-webkit-padding-start:16px;padding-inline-start:16px;-webkit-padding-end:16px;padding-inline-end:16px}}.card-content h1{margin-left:0;margin-right:0;margin-top:0;margin-bottom:2px;font-size:24px;font-weight:normal}.card-content h2{margin-left:0;margin-right:0;margin-top:2px;margin-bottom:2px;font-size:16px;font-weight:normal}.card-content h3,.card-content h4,.card-content h5,.card-content h6{margin-left:0;margin-right:0;margin-top:2px;margin-bottom:2px;font-size:14px;font-weight:normal}.card-content p{margin-left:0;margin-right:0;margin-top:0;margin-bottom:2px;font-size:14px;font-weight:normal;line-height:1.5}gasco-card-header+.card-content{padding-top:0}@media only screen and (max-width: 768px){.card-content{font-size:16px;line-height:24px}}@media only screen and (max-width: 480px){.card-content{font-size:14px;line-height:20px}}.card-content{padding-left:0;padding-right:0;padding-top:0;padding-bottom:0}.card-content>div,.card-content>h1,.card-content>h2,.card-content>h3,.card-content>h4,.card-content>h5,.card-content>h6,.card-content>p,.card-content>small{padding-left:1rem;padding-right:1rem;padding-top:0;padding-bottom:1rem;font-weight:400;font-size:14px;line-height:20px;color:#072531}@supports (margin-inline-start: 0) or (-webkit-margin-start: 0){.card-content>div,.card-content>h1,.card-content>h2,.card-content>h3,.card-content>h4,.card-content>h5,.card-content>h6,.card-content>p,.card-content>small{padding-left:unset;padding-right:unset;-webkit-padding-start:1rem;padding-inline-start:1rem;-webkit-padding-end:1rem;padding-inline-end:1rem}}";

const GascoAccordionContent$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return h(Host, { class: "card-content" }, h("slot", null));
  }
  static get style() { return gascoAccordionContentCss; }
}, [4, "gasco-accordion-content"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["gasco-accordion-content"];
  components.forEach(tagName => { switch (tagName) {
    case "gasco-accordion-content":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, GascoAccordionContent$1);
      }
      break;
  } });
}

const GascoAccordionContent = GascoAccordionContent$1;
const defineCustomElement = defineCustomElement$1;

export { GascoAccordionContent, defineCustomElement };
